#include "../std.h"
#include <string>
#include <fstream>
#include "environment.h"
#include "conf.h"
#include "gridmap.h"

bool gridmap_user_list(string &ulist) {
  ifstream f(globus_gridmap.c_str()); 
  if(! f.is_open() ) return false;
  for(;!f.eof();) {
    char buf[512];
    istream_readline(f,buf,sizeof(buf));
    string rest = buf;
    string name = "";
    for(;rest.length() != 0;) {
      name=config_next_arg(rest);
    };
    if(name.length() == 0) continue;
    int pos;
    if((pos=ulist.find(name)) != string::npos) {
      if(pos!=0) 
        if(ulist[pos-1] != ' ') { ulist+=" "+name; continue; };
      pos+=name.length();
      if(pos < ulist.length())
        if(ulist[pos] != ' ') { ulist+=" "+name; continue; };
    }
    else { ulist+=" "+name; };
  };
  f.close();
  return true;
}
