#include "../std.h"
#include "conf.h"

char* default_config_file = DEFAULT_CONFIG_FILE;
char* default_config_file_rel = DEFAULT_CONFIG_FILE;
char* default_central_config_file = DEFAULT_CENTRAL_CONFIG_FILE;
char* config_file = NULL;


bool config_open_gridftp(ifstream &cfile) {
  char* nordugrid_loc = getenv("NORDUGRID_LOCATION");
  string config_name;
  if(!central_configuration) {
    config_name=default_config_file;
    if(nordugrid_loc) {
      config_name=nordugrid_loc;
      config_name+=default_config_file_rel;
    };
  } else {
    config_name=default_central_config_file;
  };
  if(config_file) {
    config_name=config_file;
  };
  return config_open(cfile,config_name);
}

void config_strip(string &rest) {
  int n=rest.find_first_not_of(" \t",0);
  if(n>0) rest.erase(0,n);
}

