#ifndef FLO_MESSAGE_H
#define FLO_MESSAGE_H

#include <string>
#include <list>

#include "common.h"
#include "object.h"

class FlOMessage {
 public:
 private:
  const_pFlOObject object_;
  FlOObject::action_t type_;
 public:
  FlOMessage(const FlOObject& o,FlOObject::action_t t);
  void serialize(std::string& msg);
  static FlOMessage* deserialize(const std::string& msg);
  void operator=(FlOObject::action_t t) { type_=t; };
  bool operator==(const char* id) const { return (object_->id() == id); };
  bool operator==(const std::string& id) const { return (object_->id() == id); };
  bool operator==(const FlOObject& o) const { return (object_ == o); };
  FlOObject::action_t type(void) const { return type_; };
  const_pFlOObject object(void) const { return object_; };
};

#endif // FLO_MESSAGE_H
