#ifndef POINTERS_H
#define POINTERS_H

#include "common.h"

class FlOObject;
class FlOService;
class FlOServiceRemote;

class pFlOObject: public pSafeObject {
 public:
  pFlOObject(void) { };
  pFlOObject(FlOObject& o):pSafeObject((SafeObject&)o) { };
  pFlOObject(FlOObject* o):pSafeObject((SafeObject*)o) { };
  FlOObject& operator*(void) const { return *(FlOObject*)object_; };
  FlOObject* operator->(void) const { return (FlOObject*)object_; };
};

class const_pFlOObject: public pSafeObject {
 public:
  const_pFlOObject(void) { };
  const_pFlOObject(const FlOObject& o):pSafeObject((SafeObject&)o) { };
  const_pFlOObject(const FlOObject* o):pSafeObject((SafeObject*)o) { };
  const FlOObject& operator*(void) const { return *(const FlOObject*)object_; };
  const FlOObject* operator->(void) const { return (const FlOObject*)object_; };
};

class pFlOServiceRemote: public pSafeObject {
 public:
  pFlOServiceRemote(void) { };
  pFlOServiceRemote(FlOServiceRemote& o):pSafeObject((SafeObject&)o) { };
  pFlOServiceRemote(FlOServiceRemote* o):pSafeObject((SafeObject*)o) { };
  FlOServiceRemote& operator*(void) const { return *(FlOServiceRemote*)object_; };
  FlOServiceRemote* operator->(void) const { return (FlOServiceRemote*)object_; };
};

class pFlOService: public pSafeObject {
 public:
  pFlOService(void) { };
  pFlOService(FlOService& o):pSafeObject((SafeObject&)o) { };
  FlOService& operator*(void) const { return *(FlOService*)object_; };
  FlOService* operator->(void) const { return (FlOService*)object_; };
};

#endif // POINTERS_H
