#include <string>
#include <iostream>

#include "xmlwrap.h"

int main(void) {
  /*
  std::string s = "<object><name>Object</name><id>ID</id></object>";
  XMLNode x;
  x.set(s);
  */
  XMLNode x("object");
  XMLNode x_name(x,"name");
  XMLNode x_id(x,"id");
  x_name.content("Name");
  x_id.content("Id");
  
  std::cout<<x.content()<<std::endl;
  std::cout<<x.get()<<std::endl;
  for(int i = 0;;i++) {
    XMLNode* x_ = x.getNode(i);
    if(x_ == NULL) break;
    std::cout<<i<<": "<<x_->content()<<std::endl;
    std::cout<<i<<": "<<x_->get()<<std::endl;
    delete x_;
  };
  return 0;
}
