#include <cstdlib>
#include <iostream>
#include <time.h>
#include <cmath>
using namespace std;

int main( int argv, char* argc[] )
{
  int runtime = 5;
  if( argv == 2 ) runtime = (int)atof( argc[1] );
 
  time_t start, end; // timing-variables

  start = time( NULL ); // start-time

  cerr << "Primenumbers:" << endl;
  cerr << "2 ";

  unsigned long numberofprimes= 1;
  end = time( NULL );

  // find primes for <runtime> minutes
  for( int i = 3; (int)(end-start)<60*runtime; i+=2 ) {
    
    int until = (int)sqrt( (double)i );
    
    bool prime = true;
    for( int j = 3; j<=until; j++ )
      if( (i % j) == 0 ) prime = false;
    
    if( prime==true ) {
      cerr << i << " ";
      numberofprimes++;
    }

    end = time( NULL );
  }
  
  cerr << endl;
  cerr << "Number of primes found: " << numberofprimes << endl;
  return 0;
}
