//gsoap nl service name: ARCLogger
//gsoap nl service documentation: Database to keep and search information about jobs executed at NG-enabled GRID sites
//gsoap nl service portType: ARCLoggerPortType
//gsoap nl service namespace: http://www.nordugrid.org/ws/schemas/ARCLogger
//gsoap nl service method-documentation: add Add new information into database
//gsoap nl service method-documentation: get Query information in database

/* Logging Serice */
class nl__jobinfo {
 public:
  time_t start;
  time_t end;
  char* cluster;
  char* user;
  char* id;
  char* name;
  char* failure;
  char* lrms;
  char* queue;
  char* rsl;
  char* ui;
  int usedcpu;
  int usedmem;
  nl__jobinfo();
  ~nl__jobinfo();
};

class array_jobinfo {
 public:
  int __size_job;
  nl__jobinfo* job;
  array_jobinfo();
  ~array_jobinfo();
};

int nl__add(
  nl__jobinfo *i,
  int &r
);

int nl__get(
  char* query,
  unsigned long long offset,
  array_jobinfo &r
);

