#include "../std.h"
#include <pthread.h>

class ErrorContainer;

class Error {
 private:
  ErrorContainer* err;
 public:
  Error(int code = -1,int subcode = -1,const char *desc = "");
  Error(int code,const char *desc);
  Error(const char *desc);
  ~Error();
  void operator=(const Error &);
  int get_code(void);
  int get_subcode(void);
  const char* get_desc(void);
//  int operator int(void) { return get_code(); };
//  const char* operator (const char*)(void) { return get_desc(); };
};

