#include <iostream>
#include <globus_common.h>
#include <globus_gass_transfer.h>

//ostream& operator<<(ostream& o,globus_result_t res);
ostream& operator<<(ostream& o,globus_object_t* err);
const char* globus_gass_error_string(int n);

class GlobusResult {
 private:
  globus_result_t r;
 public:
  GlobusResult(void):r(0) { };
  GlobusResult(globus_result_t result):r(result) { };
  void operator=(globus_result_t result) { r=result; };
//  bool operator==(globus_result_t result) { return (r==result); };
//  bool operator!=(globus_result_t result) { return (r!=result); };
  bool operator==(GlobusResult result) { return (r==result.r); };
  bool operator!=(GlobusResult result) { return (r!=result.r); };
  operator bool(void) { return (r==GLOBUS_SUCCESS); };
  operator globus_result_t(void) { return r; };
};

ostream& operator<<(ostream& o,GlobusResult res);

