#include "../std.h"

#include <string>
#include <list>

extern "C" {
#include <globus_rls_client.h>
}

typedef bool (*rls_lrc_callback_t)(globus_rls_handle_t* h,const char* url,void* arg);

bool rls_find_lrcs(const char* url,rls_lrc_callback_t callback,void* arg);
bool rls_find_lrcs(const char* url,list<string> lrcs);
bool rls_find_lrcs(list<string> rlis,list<string> lrcs,rls_lrc_callback_t callback,void* arg);
bool rls_find_lrcs(list<string> rlis,list<string> lrcs,bool down,bool up,rls_lrc_callback_t callback,void* arg);

