#ifndef PROXYINITDIALOG_H
#define PROXYINITDIALOG_H

#include "qdialog.h"

class QSpinBox;
class QLineEdit;
class QGridLayout;
class QPushButton;
class QLabel;
class QKeyEvent;

class ProxyInitDialog : public QDialog
{
 Q_OBJECT

 public:
  ProxyInitDialog( QWidget* parent = 0, const char* name = NULL, bool modal = false );
  ~ProxyInitDialog();

 public slots:
  void createNewProxy();

 protected:
  void keyPressEvent( QKeyEvent* );

 private:
  QLabel* validity;
  QLabel* enterPassPhrase;
  QLabel* hours;
  QPushButton* okButton;
  QPushButton* cancelButton;
  QLineEdit* lineEdit;
  QSpinBox* durationBox;
  QGridLayout* dialogLayout;
};

#endif
