#!/bin/sh

HERE=$PWD

cd $LOCALDISK
cp $HERE/Makefile .
cp $HERE/prime.cpp .

echo "LOCALDISK-directory:"
pwd
echo
echo "LOCALDISK-files:"
ls
echo
if [ -n "`stat -f Makefile | grep Blocks 2>/dev/null`" ]; then
  echo "LOCALDISK-size:"
  stat -f Makefile | grep Blocks
fi

GCC=`which g++ 2>/dev/null`
if [ -z $GCC ]; then
  echo
  echo "Could not find the g++-compiler!"
  exit 0
fi

make > /dev/null 2>&1
./prime $1

cd $HERE

