#include "globus_ftp_client.h"
#include "condition.h"

class ftpInfo {
 public:
  ftpInfo() { };
  ftpInfo( string errorstr ) { error = errorstr; };
    
  string error;
  union {
    bool exists;
    long long filesize;
  };
};

class ftpClient {

 public:
  ftpClient( int answertimeout = 20000 );
  ~ftpClient( );

  bool initialized( ) { return ready; };

  ftpInfo fileExists( string url );
  ftpInfo fileSize( string url );

 private:
  bool ready;
  unsigned int timeout;
  Condition<bool> cond;

  globus_ftp_client_handle_t handle;
  globus_ftp_client_handleattr_t attr;
  globus_ftp_client_operationattr_t opattr;
};

void ftpClientCallback( void* condition, globus_ftp_client_handle_t* handle, globus_object_t* error );

